
class CVaxPipeClient;

class CVaxPipeThread
{

public:

	CVaxPipeThread();
	~CVaxPipeThread();

private:

	HANDLE m_hThread;
	DWORD m_dwThreadId;
		
private:

	static DWORD WINAPI VaxSysThreadProcUI(LPVOID pParam);

public:

	BOOLEAN StartThread(LPCTSTR sPipeNameZERO, LPCTSTR sPipeNameONE);
	void StopThread();

	BOOLEAN PostWritePipe(char* pData, int nSize);
	
private:

	static BOOLEAN ProcessThreadPostedMsg(BOOLEAN& bQuitThread, CVaxPipeClient* pPipeClient);
	static void ProcessThreadWaitEvent(DWORD dwWaitIndex, CVaxPipeClient* pPipeClient, CVaxPipeThread* pPipeThread);

protected:

	virtual void OnVaxPipeClientRecvPCM(int nMediaPos, char* pDataPCM, int nSizePCM) = 0;
};


